package com.hzs.system.base;

import com.hzs.common.core.domain.R;

import java.util.Collection;
import java.util.Map;

/**
 * 查询系统参数
 */
public interface ISystemConfigServiceApi {

    /**
     * 查询系统参数
     *
     * @param pkCountry 国家
     * @param key       键
     */
    R<String> getBonusSystemConfig(Integer pkCountry, String key);

    /**
     * 批量查询指定系统参数
     *
     * @param pkCountryList 国家列表
     * @param key           参数KEY
     * @return
     */
    R<Map<Integer, String>> getBonusSystemConfigBatch(Collection<Integer> pkCountryList, String key);

    /**
     * 批量查询系统参数
     *
     * @param pkCountry 国家
     */
    R<Map<String, String>> getBonusSystemConfig(Integer pkCountry);

    /**
     * 批量查询所有国家的系统参数
     */
    R<Map<String, String>> getBonusSystemConfig();

    /**
     * 批量查询所有国家的订单参数
     */
    R<Map<String, String>> getSystemConfig();

}
